Partially updates a webhook endpoint. Any omitted field is left unchanged. Signing secrets are rotated via the separate /rotate_secret endpoint.
curl --request PATCH \
--url https://api.case.dev/webhooks/v1/endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"eventTypeFilters": [
"<string>"
],
"resourceScopes": {
"vaultIds": [
"<string>"
],
"matterIds": [
"<string>"
]
},
"status": "active"
}
'API key starting with sk_case_
Updated endpoint
Was this page helpful?
curl --request PATCH \
--url https://api.case.dev/webhooks/v1/endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"eventTypeFilters": [
"<string>"
],
"resourceScopes": {
"vaultIds": [
"<string>"
],
"matterIds": [
"<string>"
]
},
"status": "active"
}
'